<?php
/*
Plugin Name: xooAnalytics
Plugin URI: http://xooxia.com/projects/xooanalytics-wordpress-plugin/
Description: This plugin will mark any external links (those with absolute URLs) for tracking purposes with Google Analytics.
Version: 1.2.1
Author: Xooxia
Author URI: http://xooxia.com
*/
/*  Copyright 2007  Xooxia Development  (email : xooxia@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

function xooAnalytics($content){
	// first, add tracking to all absolute links and append /external/ to them
	$content = preg_replace('/<a href="(http|https|ftp)(\:\/\/.*?)"(.*?)>(.*?)<\\/a>/i', '<a href="$1$2" onclick="urchinTracker(\'/external/$1$2\')"$3>$4</a>', $content);
	// then, add tracking to all email links and append /mailto/ to them
	$content = preg_replace('/<a href="(mailto\:)(\w+[\w-\.]*\@\w+)((-\w+)|(\w*))(\.[a-z]{2,3})"(.*?)>(.*?)<\\/a>/i', '<a href="$1$2$3$4$5$6" onclick="urchinTracker(\'/mailto/$2$3$4$5$6\')"$7>$8</a>', $content);
	return $content;
}

add_filter('the_content', 'xooAnalytics', 0);
?>
